Status: Closed

Priority: Normal

Assignee: Tamas Szekeres

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14966

Description

Hi,

compiling qgis-server , with last revision of trunk, I have

no error in configuring phase, but this error in compiling phase:

[ 67%] Building CXX object src/providers/mssql/CMakeFiles/mssqlprovider.dir/qgsmssqlprovider.cpp.o

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:55:20: error: sqlext.h: No such file

or directory

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp: In member function

âQVariant::Type QgsMssqlProvider::DecodeODBCType(int)â:

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:240: error: âSQL_DECIMALâ was

not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:241: error: âSQL_NUMERICâ was

not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:242: error: âSQL_REALâ was not

declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:243: error: âSQL_FLOATâ was

not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:244: error: âSQL_DOUBLEâ was

not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:247: error: âSQL_SMALLINTâ

was not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:248: error: âSQL_INTEGERâ was

not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:249: error: âSQL_BITâ was not

declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:250: error: âSQL_TINYINTâ was

not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:253: error: âSQL_BIGINTâ was

not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:256: error: âSQL_BINARYâ was

not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:257: error: âSQL_VARBINARYâ

was not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:258: error:

âSQL_LONGVARBINARYâ was not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:261: error: âSQL_DATEâ was not

declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:262: error: âSQL_TYPE_DATEâ

was not declared in this scope
/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:265: error: âSQL_TIMEâ was not

declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:266: error: âSQL_TYPE_TIMEâ

was not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:269: error: âSQL_TIMESTAMPâ

was not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:270: error:

âSQL_TYPE_TIMESTAMPâ was not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:274: error: âSQL_WCHARâ was

not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:275: error: âSQL_WVARCHARâ

was not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:276: error:

âSQL_WLONGVARCHARâ was not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:280: error: âSQL_CHARâ was not

declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:281: error: âSQL_VARCHARâ was

not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:282: error:

âSQL_LONGVARCHARâ was not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp: In member function âvirtual void

QgsMssqlProvider::select(QgsAttributeList, QgsRectangle, bool, bool)â:

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:519: warning: suggest braces

around empty body in an âelseâ statement

make[2]: *** [src/providers/mssql/CMakeFiles/mssqlprovider.dir/qgsmssqlprovider.cpp.o] Error 1

make[1]: *** [src/providers/mssql/CMakeFiles/mssqlprovider.dir/all] Error 2

make: *** [all] Error 2

I guess these error there are because I don't install the mssql driver, but I don't plan to use it, 

so I guess should be better allow (as for postgres) to enable/disable it in the configuration phase of cmake.

History

#1 - 2012-03-26 07:32 AM - Tamas Szekeres

- Assignee set to Tamas Szekeres

Issue now is fixed in szekerest/master (https://github.com/szekerest) should be merged back to qgis

#2 - 2012-03-26 03:32 PM - Tamas Szekeres

- Resolution set to fixed

fix was applied in qgis/master commit:04e826881a0d7d35605b8c3399e27fe3993e8a30

#3 - 2012-03-28 05:51 AM - Nathan Woodrow

- Status changed from Open to Closed
https://github.com/szekerest

